classification
Title: 64 bit solaris versus /usr/local/lib
Type: Stage:
Components: Build Versions: Python 2.3
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: benson_basis, jcea, loewis
Priority: normal Keywords:

Created on 2003-11-23 20:25 by benson_basis, last changed 2011-03-17 12:53 by jcea. This issue is now closed.

Messages (4)
msg60426 - (view) Author: benson margulies (benson_basis) Date: 2003-11-23 20:25
setup.py sticks /usr/local/lib in to the link path when 
building modules. On a 64-bit solaris machine, the 
libraries in there may well be 32-bit, and not work.

There needs to be some provision to control this, I think.
msg60427 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2003-11-24 22:18
Logged In: YES 
user_id=21627

What kind of control are you thinking of? You *do* have
control over this at the moment: You can edit Modules/Setup,
and guide the build process explicitly what modules to pick
up from what location.

Some installations may have a /usr/local full of 64-bit
stuff, so I don't see a problem in this default.
msg60428 - (view) Author: benson margulies (benson_basis) Date: 2003-11-25 02:22
Logged In: YES 
user_id=876734

I knew there was something fundamental I was missing.

However, my copy of setup.py, which is not automatically 
generated, has /usr/local in it too, in 'detect_modules'. Or do 
those paths end up somewhere else.
msg60429 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2003-11-25 19:17
Logged In: YES 
user_id=21627

Please read the file Modules/Setup, then edit it to your needs.
History
Date User Action Args
2011-03-17 12:53:21jceasetnosy: + jcea
2008-01-20 19:07:38christian.heimessetstatus: open -> closed
resolution: works for me
2003-11-23 20:25:06benson_basiscreate